// Code generated by MockGen. DO NOT EDIT.
// Source: github.com/xescugc/smf/interops/weight (interfaces: Repository)

// Package mock is a generated GoMock package.
package mock

import (
	context "context"
	gomock "github.com/golang/mock/gomock"
	weight "github.com/xescugc/smf/interops/weight"
	reflect "reflect"
)

// WeightRepository is a mock of Repository interface
type WeightRepository struct {
	ctrl     *gomock.Controller
	recorder *WeightRepositoryMockRecorder
}

// WeightRepositoryMockRecorder is the mock recorder for WeightRepository
type WeightRepositoryMockRecorder struct {
	mock *WeightRepository
}

// NewWeightRepository creates a new mock instance
func NewWeightRepository(ctrl *gomock.Controller) *WeightRepository {
	mock := &WeightRepository{ctrl: ctrl}
	mock.recorder = &WeightRepositoryMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use
func (m *WeightRepository) EXPECT() *WeightRepositoryMockRecorder {
	return m.recorder
}

// Create mocks base method
func (m *WeightRepository) Create(arg0 context.Context, arg1 weight.Weight) (int, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Create", arg0, arg1)
	ret0, _ := ret[0].(int)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Create indicates an expected call of Create
func (mr *WeightRepositoryMockRecorder) Create(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Create", reflect.TypeOf((*WeightRepository)(nil).Create), arg0, arg1)
}

// Delete mocks base method
func (m *WeightRepository) Delete(arg0 context.Context, arg1 int) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Delete", arg0, arg1)
	ret0, _ := ret[0].(error)
	return ret0
}

// Delete indicates an expected call of Delete
func (mr *WeightRepositoryMockRecorder) Delete(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Delete", reflect.TypeOf((*WeightRepository)(nil).Delete), arg0, arg1)
}

// Filter mocks base method
func (m *WeightRepository) Filter(arg0 context.Context) ([]*weight.Weight, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Filter", arg0)
	ret0, _ := ret[0].([]*weight.Weight)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Filter indicates an expected call of Filter
func (mr *WeightRepositoryMockRecorder) Filter(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Filter", reflect.TypeOf((*WeightRepository)(nil).Filter), arg0)
}

// Find mocks base method
func (m *WeightRepository) Find(arg0 context.Context, arg1 int) (*weight.Weight, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Find", arg0, arg1)
	ret0, _ := ret[0].(*weight.Weight)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Find indicates an expected call of Find
func (mr *WeightRepositoryMockRecorder) Find(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Find", reflect.TypeOf((*WeightRepository)(nil).Find), arg0, arg1)
}

// Update mocks base method
func (m *WeightRepository) Update(arg0 context.Context, arg1 int, arg2 weight.Weight) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Update", arg0, arg1, arg2)
	ret0, _ := ret[0].(error)
	return ret0
}

// Update indicates an expected call of Update
func (mr *WeightRepositoryMockRecorder) Update(arg0, arg1, arg2 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Update", reflect.TypeOf((*WeightRepository)(nil).Update), arg0, arg1, arg2)
}
